Package twisted :: Package protocols :: Module pcp :: Class BasicProducerConsumerProxy |
[frames | no frames]

## Class BasicProducerConsumerProxy

Known Subclasses:
  `ProducerConsumerProxy`

I can act as a man in the middle between any Producer and Consumer.

Method Summary
| `__init__(self, consumer)`
| `__repr__(self)`
| `finish(self)`
| `pauseProducing(self)`
| `registerProducer(self, producer, streaming)`
| `resumeProducing(self)`
| `stopProducing(self)`
| `unregisterProducer(self)`
| `write(self, data)`

Instance Variable Summary
`IConsumer` | `consumer`: the Consumer I publish to.
bool | `paused`: As a Producer, am I paused?
`IProducer` | `producer`: the Producer I subscribe to.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `iAmStreaming` = 1
`int` | `outstandingPull` = 0
`NoneType` | `producerIsStreaming` = None
`int` | `stopped` = 0

Instance Variable Details

    ### consumer the Consumer I publish to. Type: `IConsumer` Value:
        None

    ### paused As a Producer, am I paused? Type: bool Value:
        0

    ### producer the Producer I subscribe to. Type: `IProducer` Value:
        None

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.internet.interfaces.IProducer at 0x8268d14>,
         <class twisted.internet.interfaces.IConsumer at 0x825a32c>)

    ### iAmStreaming Type: `int` Value:
        1

    ### outstandingPull Type: `int` Value:
        0

    ### producerIsStreaming Type: `NoneType` Value:
        None

    ### stopped Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net